Name:           perl-String-Approx
Version:        3.26
Release:        7%{?dist}
Summary:        Perl extension for approximate matching (fuzzy matching)
License:        LGPLv2+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/String-Approx/
Source0:        http://www.cpan.org/authors/id/J/JH/JHI/String-Approx-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
String::Approx lets you match and substitute strings approximately. With
this you can emulate errors: typing errorrs, speling errors, closely
related vocabularies (colour color), genetic mutations (GAG ACT),
abbreviations (McScot, MacScot).


%prep
%setup -q -n String-Approx-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Artistic BUGS ChangeLog COPYRIGHT COPYRIGHT.agrep LGPL PROBLEMS README README.apse
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/String*
%{_mandir}/man3/*


%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.26-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.26-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 3.26-5
Rebuild for new perl

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 3.26-4
- Autorebuild for GCC 4.3

* Thu Aug 23 2007 Orion Poplawski <orion@cora.nwra.com> 3.26-3
- Add BR for perl(Test::More)

* Thu Aug 23 2007 Orion Poplawski <orion@cora.nwra.com> 3.26-2
- Update license to LGPLv2+ or Artistic
- Rebuild for BuildID

* Mon Nov 20 2006 Orion Poplawski 3.26-1
- Specfile autogenerated by cpanspec 1.69.1.
